<?php
namespace App\ViewModels\Raca\RacaRegistrationViewModel;

use App\Utils\Builder;

class RacaRegistrationViewModelBuilder implements Builder
{
    protected $nome;
    protected $id_especie;

    public function setNome($nome)
    {
        $this->nome = $nome;
        return $this;
    }

    /**
     * @param mixed $id_especie
     * @return RacaRegistrationViewModelBuilder
     */
    public function setIdEspecie($id_especie)
    {
        $this->id_especie = $id_especie;
        return $this;
    }


    public function build() : RacaRegistrationViewModel
    {
        $procedimento_registration_vm = new RacaRegistrationViewModel ();
        $procedimento_registration_vm->setNome($this->nome);
        $procedimento_registration_vm->setIdEspecie($this->id_especie);
        return $procedimento_registration_vm;
    }


}